#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "GtkDefs.h"
#include "GtkImageViewerDefs.h"
#include "gtk-image-viewer/gtk-image-viewer.h"

static void 
destroy_handler(gpointer data) {
        SvREFCNT_dec((AV*)data);
}

static void     callXS (void (*subaddr)(CV* cv), CV *cv, SV **mark)
{
        int items;
        dSP;
        PUSHMARK (mark);
        (*subaddr)(cv);

        PUTBACK;  /* Forget the return values */
}

MODULE = Gtk::ImageViewer	PACKAGE = Gtk::ImageViewer	PREFIX = gtk_image_viewer_

#ifdef GTK_IMAGE_VIEWER

Gtk::ImageViewer_Sink
gtk_image_viewer_new (Class, image)
	SV	*Class
	Gtk::Gdk::Pixbuf image
	CODE:
	RETVAL = GTK_IMAGE_VIEWER(gtk_image_viewer_new (image));
	OUTPUT:
	RETVAL

void
gtk_image_viewer_get_transform(image_viewer)
	Gtk::ImageViewer	image_viewer
	CODE:
	{
	    double x,y,sx,sy;
	    int i;

	    gtk_image_viewer_get_transform(image_viewer, &x,&y,&sx,&sy);
	    EXTEND(sp, 4);
	    XPUSHs(sv_2mortal(newSVnv(x)));
	    XPUSHs(sv_2mortal(newSVnv(y)));
	    XPUSHs(sv_2mortal(newSVnv(sx)));
	    XPUSHs(sv_2mortal(newSVnv(sy)));
	}


#endif

INCLUDE: ../build/boxed.xsh

INCLUDE: ../build/objects.xsh

INCLUDE: ../build/extension.xsh

